1. theSpeedFreak's Avatar
    Thanks again for your fast response.
    1) Download 3g 3.1.3 ipsw,
    2) put iphone in dfu mode
    3) Shift +Restore pointing to 3.1.3 ipsw
    4) error 1015 will show up
    5) Use tinyumbrella to exit recovery
    6) Jailbreak with redsn0w 0.9.4 and 3.1.2 ipsw

    unlock not possible because of baseband.

    Am I correct in the above steps? Thanks
    Hello... I'm confused.

    In the OP... Brenda said she upgraded to 4.1 with the 05.14.02 firmware... which is where I am.

    Later in the string... it seemed to me like it was said that we were screwed and couldn't down grade and JB our phone.

    Which is it?!?! Please?

    And where do you get Tiny Umbrella? Is that a Windows XP program as well as OS X?
    Last edited by theSpeedFreak; 2011-01-04 at 06:07 AM. Reason: Forgot a question
    2011-01-04 06:00 AM
  2. iYeow's Avatar
    Hello... I'm confused.

    In the OP... Brenda said she upgraded to 4.1 with the 05.14.02 firmware... which is where I am.

    Later in the string... it seemed to me like it was said that we were screwed and couldn't down grade and JB our phone.

    Which is it?!?! Please?
    You can jailbreak at 4.1 but you cannot unlock. If you want to unlock , you have to go with ipad baseband.
    2011-01-04 06:04 AM
  3. theSpeedFreak's Avatar
    Awesome... that's all I care about... is JB... I can follow the OP's list that I quoted... do I stay at iOS3xx or do I go to 4.0.1?

    And where do I get Tiny Umbrella... is it an Apple only thing or can it be used on Windows XP?
    Last edited by theSpeedFreak; 2011-01-04 at 06:11 AM. Reason: Automerged Doublepost
    2011-01-04 06:11 AM
  4. iYeow's Avatar
    You either stay at 3.1.3 or go to 4.1. Don't go to 4.0 or 4.0.1, too much bugs.

    At 4.1, you can jailbreak it with redsn0w 0.9.6b6, just check install cydia.
    Last edited by iYeow; 2011-01-04 at 06:15 AM. Reason: Automerged Doublepost
    2011-01-04 06:15 AM
  5. theSpeedFreak's Avatar
    You either stay at 3.1.3 or go to 4.1. Don't go to 4.0 or 4.0.1, too much bugs.

    At 4.1, you can jailbreak it with redsn0w 0.9.6b6, just check install cydia.
    Awesome dude!

    I'm goin down the list now... fingers crossed!

    Thanks again!

    Now about that Tiny Umbrella? Where's that thing gonna be?
    2011-01-04 06:17 AM
  6. iYeow's Avatar
    When your iphone is bootable, download TU, plug iphone in and click save shsh. All shsh blobs from Cydia will be downloaded.
    2011-01-04 06:19 AM
  7. theSpeedFreak's Avatar
    You either stay at 3.1.3 or go to 4.1. Don't go to 4.0 or 4.0.1, too much bugs.

    At 4.1, you can jailbreak it with redsn0w 0.9.6b6, just check install cydia.

    I tried the wrong redsn0w... i was using 0.9.5b5 ... before finding this thread.

    I tried to use iTunes and the iOS 4.0.1 that I had downloaded to downgrade, but kept getting that blasted 1015 error...

    Now I've connected the phone and am trying to restore so I can start over. I still don't understand where I'm suppose to download TU from... but I'm starting the process again...

    If I can get it back to 4.1, like it was before I began this process hours ago... I'll try the correct redsn0w that you gave me. THANKS!
    2011-01-04 06:26 AM
  8. iYeow's Avatar
    When you get error 1015, use exit recovery from the feature of tiny umbrella to kick it out.
    Redsn0w is just to jailbreak, it doesn't restore your iphone firmware. You have to restore through itunes > Shift + restore.
    Make sure you save shsh first using tiny umbrella.
    2011-01-04 06:29 AM
  9. theSpeedFreak's Avatar
    When you get error 1015, use exit recovery from the feature of tiny umbrella to kick it out.
    Redsn0w is just to jailbreak, it doesn't restore your iphone firmware. You have to restore through itunes > Shift + restore.
    Make sure you save shsh first using tiny umbrella.
    Got TU... phone was already in recovery mode... I saved SHSH, but there's no other info... just ECID both (Dec) and (Hex)... is this enough?
    2011-01-04 06:54 AM
  10. iYeow's Avatar
    Is that the ECID for your iphone. TU will recognize your ECID if you are not in recovery or dfu mode ( must be bootable) If your iphone is in recovery or dfu, then you have to find out your ECID. Here : iClarified - iPhone - How to Find Your iPhone ECID [Windows]

    Kick it out error 1015 to get to emergency screen
    Last edited by iYeow; 2011-01-04 at 07:01 AM. Reason: Automerged Doublepost
    2011-01-04 07:01 AM
  11. theSpeedFreak's Avatar
    Is that the ECID for your iphone. TU will recognize your ECID if you are not in recovery or dfu mode ( must be bootable) If your iphone is in recovery or dfu, then you have to find out your ECID. Here : iClarified - iPhone - How to Find Your iPhone ECID [Windows]

    Kick it out error 1015 to get to emergency screen
    Yes... TU is showing two different ECID numbers... one under (Dec) and the other under (Hex)
    2011-01-04 07:03 AM
  12. iYeow's Avatar
    On the left side of TU, you should see your iphone name, highlight it, then bottom right are all your shsh blobs.

    Don't worry about it, just put your iphone into recovery mode and shift + restore in itunes to 4.1 firmware. Once you are at Home screen, you can save shsh with TU to see. If you are getting error 3194, then you don't have 4.1 shsh blob but I think you have.
    Jailbreak your 3g at 4.1 with redsn0w 0.9.6b6
    Last edited by iYeow; 2011-01-04 at 07:11 AM. Reason: Automerged Doublepost
    2011-01-04 07:11 AM
  13. theSpeedFreak's Avatar
    On the left side of TU, you should see your iphone name, highlight it, then bottom right are all your shsh blobs.
    Yes. After I hit Exit Recovery... the phone showed up and all the blobs are there...

    When I go to iTunes to now restore from my back up, it tells me I can't... that I have to upgrade to the latest iOS... which will not be 3.1.3 or 4.1... it will be 4.2 or 4.3... they just came out with an update.

    I feel like I'm sliding down a tube of no return...
    2011-01-04 07:14 AM
  14. iYeow's Avatar
    If you want to restore to a certain download firmware, you have to shift + restore in itunes, and a box will pop up for you to browse,you don't just hit restore.
    2011-01-04 07:17 AM
  15. theSpeedFreak's Avatar
    If you want to restore to a certain download firmware, you have to shift + restore in itunes, and a box will pop up for you to browse,you don't just hit restore.
    Got it... back to that list... let me see if it works.
    2011-01-04 07:21 AM
  16. iYeow's Avatar
    You can close tiny umbrella, by default , it will set your hosts file towards Cydia.
    2011-01-04 07:31 AM
  17. theSpeedFreak's Avatar
    You can close tiny umbrella, by default , it will set your hosts file towards Cydia.
    UT seems to have worked... the phone is in eternal sync mode returning all of my stuff from back up.

    Why can't I find the latest version of redsn0w (0.9.6b6) ... I've searched all over this site. The string announcing that its out has no download link.

    Please tell me where to find it.

    Thanks

    I did find redsn0w 0.7.2 ... is that why I'm not finding 0.9.6b6 ??? seems like 0.9.6b6 woulod be more recent
    Last edited by theSpeedFreak; 2011-01-04 at 08:38 AM. Reason: Found something else...
    2011-01-04 08:26 AM
  18. iYeow's Avatar
    Why not ? I just google search and found it within 2 secs : Redsnow (redsn0w) 0.9.6b6 Activate iPhone 4 iPhone 3GS – 3G Officially with SAM [Guide]
    2011-01-04 08:41 AM
  19. theSpeedFreak's Avatar
    Why not ? I just google search and found it within 2 secs : Redsnow (redsn0w) 0.9.6b6 Activate iPhone 4 iPhone 3GS 3G Officially with SAM [Guide]
    Because I was afraid to leave this site... and tried 30 different searches through the modmyi search engine.

    Why not ? I just google search and found it within 2 secs : Redsnow (redsn0w) 0.9.6b6 Activate iPhone 4 iPhone 3GS 3G Officially with SAM [Guide]
    BTW... that link is dead. WHen you follow the download link in that blog, it takes you to a "page not found"

    But thanks... I'm still searching the web with google
    Last edited by theSpeedFreak; 2011-01-04 at 09:14 AM. Reason: Automerged Doublepost
    2011-01-04 09:14 AM
  20. kaitlinpk's Avatar
    READ THIS, IT SHOULD/MOST LIKELY HELP YOU WITH YOUR PROBLEM.

    I advise everyone to do their research and not just believe the first website you go to that tells you you can do everything.

    Also, this will only help people with the 05.14.02 baseband and the 5.08/5.8 bootloader.

    Like most people, when the jailbreak/unlock came out for 4.0/4.1, I was weary about upgrading, and even though I didn't upgrade right away, I did give in and do it because the extra features did sound pretty nice. Before I upgraded, my iPhone 3G was running on 3.1.3. Once I upgraded, soon after I did regret it. Two days ago, I thought it would be a good idea to try and downgrade back to 3.1.3, but somewhere along the way I ****** it up, and I had to restore back to 4.1, which DID upgrade my baseband to 05.14.02. For 2 days, I was trying to get my phone atleast jailbroken. Last night, I SUCCESSFULLY jailbroke AND unlocked my 3g on 4.1. I used Sn0wbreeze and iReb to jailbreak it and I downloaded f0recast. When I opened f0recast, the black screen popped up and it told my that my phone was NOT unlockable, but then another screen popped up and said that I could download Fuzzy Band from Cydia and it would downgrade my baseband and then I would be able to unlock it with Cydia. So, I jailbroke my iPhone 3g on 4.1 and then went to Cydia. Here is where I think most of you are having your problem. From Cydia, I was told to click on the Sections tab, scroll down to/open System, and then install 3G Fuzzyband Downgrader. I installed it and ran it. Under Bootloader Version it said something like (null) [null] or something, under Baseband Version is was blank, and under Iphone OS Version is said 4.1. I thought that was the way it was supposed to be and pressed downgrade. A couple seconds later it said my baseband wasnt unlockable yet. I did some more reasearch and I couldn't find out why it didn't work because f0recast said it would. I then remebered that while I was in System in Cydia there was another Fuzzyband item. I uninstalled the 3G Fuzzyband Downgrader and then under System I clicked on "Fuzzyband." I installed it and ran it and this time when it opened it, it had my 05.14.02 baseband, my 5.8 bootloader and my 4.1 software. I clicked Downgrade, it did it's thing for a minute or two and WAH-LA, it downgraded my baseband to 05.13.04. I continued back to Cydia, put in the repo666 address and installed Ultrasn0w and now I have a working iPhone on the TMobile network.
    2011-01-05 08:53 PM
41 123
LINK TO POST COPIED TO CLIPBOARD